# general info
NAME="confer"
DESC="MatterLinux configuration manager"
VERSION="24.03"

# required files
FILES=("https://git.matterlinux.xyz/Matter/confer/archive/${VERSION}.tar.gz")
HASHES=("4166da9e5f9544bc2aa931dc12926d244007c9ed93945d4a4e375e739e0e1fd8")

# install and build depends
DEPENDS=("libgit2" "libinih" "curl")
BUILD=("gettext")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
