NAME="double-conversion"
DESC="Facilitates binary-to-decimal and decimal-to-binary routines for IEEE doubles"
VERSION="3.3.0"
FILES=("https://github.com/google/double-conversion/archive/v$VERSION/double-conversion-$VERSION.tar.gz")
HASHES=("b344abb64084a4a1d98a43e67752989b")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  cmake -DCMAKE_INSTALL_PREFIX=/usr \
      -DBUILD_SHARED_LIBS=ON        \
      -DBUILD_TESTING=ON            \
      ..
  make && make DESTDIR="$ROOTDIR" install

  cd ../.. && rm -r $NAME-$VERSION
}
