NAME="emacs"
DESC="Extensible, customizable, self-documenting real-time display editor"
VERSION="29.1"
FILES=("https://ftp.gnu.org/gnu/emacs/emacs-$VERSION.tar.xz")
HASHES=("e0631d868a13b503a5feef042435b67c")
DEPENDS=(
  "harfbuzz" "giflib" "jansson" "libtiff"
  "alsa-lib" "cairo" "dbus" "gobject-introspection"
  "gsettings-desktop-schemas" "gtk2" "gtk3" "libjpeg-turbo"
  "libpng" "libseccomp" "libxml2" "sqlite" "lcms2" "hicolor-icon-theme"
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  ./configure --prefix=/usr 
  make && make DESTDIR="$ROOTDIR" install

  cd .. && rm -r $NAME-$VERSION
}

INSTALL(){
  update-icon-cache
  exit 0
}
