NAME="geoclue"
DESC="Modular geoinformation service built on top of the D-Bus messaging system"
VERSION="2.7.0"
FILES=("https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/$VERSION/geoclue-$VERSION.tar.bz2")
HASHES=("8226cc9d4b2750b6ebdfd59e7815bf2a")
DEPENDS=("json-glib" "libsoup" "libnotify" "avahi")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.bz2
  cd $NAME-$VERSION
  
  mkdir build
  cd    build

  meson setup --prefix=/usr     \
            --buildtype=release \
            -Dgtk-doc=false     \
            ..
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
