NAME="gst-plugins-bad"
DESC="Set of GStreamer plug-ins that aren't up to par compared to the rest"
VERSION="1.22.5"
FILES=("https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-$VERSION.tar.xz")
HASHES=("d18cde538d5c954e94f888143e703a52")
DEPENDS=("gst-plugins-base")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson  setup ..          \
       --prefix=/usr       \
       --buildtype=release \
       -Dgpl=enabled       \
       -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/12.0-systemd/ \
       -Dpackage-name="GStreamer $VERSION"
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
