NAME="gtk-vnc"
DESC="VNC viewer widget for GTK3"
VERSION="1.3.1"
FILES=("https://download.gnome.org/sources/gtk-vnc/1.3/gtk-vnc-$VERSION.tar.xz")
HASHES=("27f0dc7f33cbfdaa6c9eb7cf169f4866")
DEPENDS=(
  "gnutls" "gtk3" "libgcrypt" 
  "gobject-introspection" "pulseaudio"
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release ..
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
