NAME="libndp"
DESC="A wrapper for IPv6 Neighbor Discovery Protocol"
VERSION="1.8"
FILES=("http://libndp.org/files/libndp-$VERSION.tar.gz")
HASHES=("c7e775fd5a9d676e8cba9c3732c4df93")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
  cd $NAME-$VERSION

  ./configure --prefix=/usr      \
            --sysconfdir=/etc    \
            --localstatedir=/var \
            --disable-static     
  make && make DESTDIR="$ROOTDIR" install

  cd .. && rm -rf $NAME-$VERSION
}
