NAME="libxres"
DESC="X11 resource extension library"
VERSION="1.2.2"
FILES=("https://www.x.org/pub/individual/lib/libXres-$VERSION.tar.xz")
HASHES=("66c9e9e01b0b53052bb1d02ebf8d7040")
DEPENDS=("libxext")

PACKAGE() {
  tar xf libXres-$VERSION.tar.xz
  cd libXres-$VERSION

  ./configure --prefix=/usr --sysconfdir=/etc \
     --localstatedir=/var --disable-static --docdir=/usr/share/doc/$NAME-$VERSION 
  make && make DESTDIR=${ROOTDIR} install

  cd .. && rm -rf libXres-$VERSION
}
