NAME="lua-lgi"
DESC="Dynamic Lua binding to GObject libraries using GObject-Introspection"
VERSION="0.9.2"
FILES=(
  "https://github.com/lgi-devs/lgi/archive/refs/tags/$VERSION.tar.gz"
  "https://github.com/lgi-devs/lgi/pull/249.patch"
)
HASHES=(
  "cfc4105482b4730b3a40097c9d9e7e35c46df2fb255370bdeb2f45a886548c4f"
  "eaa5a39883bc76c77bea3fbf4ec0a8d60444bf78c6ff8e2096a550d30b986f29"
)
DEPENDS=()

PACKAGE() {
  tar xf $VERSION.tar.gz
  cd lgi-$VERSION

  patch -p1 < ../249.patch
	make all && make LUA_SHAREDIR=/usr/share/lua/5.4 \
                   LUA_LIBDIR=/usr/lib/lua/5.4     \
                   DESTDIR="$ROOTDIR" install

  cd .. && rm -r lgi-$VERSION
}
