NAME="notification-daemon"
DESC="Daemon that displays passive pop-up notifications"
VERSION="3.20.0"
FILES=("https://download.gnome.org/sources/notification-daemon/${VERSION%.*}/notification-daemon-$VERSION.tar.xz")
HASHES=("2de7f4075352831f1d98d8851b642124")
DEPENDS=("gtk3" "libcanberra")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  ./configure --prefix=/usr   \
            --sysconfdir=/etc \
            --disable-static
  make && make DESTDIR="$ROOTDIR" install

  cd .. && rm -r $NAME-$VERSION
}
