NAME="openbox"
DESC="Highly configurable desktop window manager with extensive standards support"
VERSION="3.6.1"

FILES=("http://openbox.org/dist/openbox/openbox-${VERSION}.tar.gz")
HASHES=("b72794996c6a3ad94634727b95f9d204")

DEPENDS=(
  "pango" "dbus" "imlib2" "librsvg"
  "imagemagick" "pypi-pyxdg" "startup-notification"
)

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  2to3-3.11 -w data/autostart/openbox-xdg-autostart
  sed 's/python/python3/' -i data/autostart/openbox-xdg-autostart

  ./configure --prefix=/usr     \
            --sysconfdir=/etc   \
            --disable-static    \
            --docdir="/usr/share/doc/openbox-${VERSION}"
  make && make DESTDIR="${ROOTDIR}" install
  rm -v "${ROOTDIR}/usr/share/xsessions/openbox-"{gnome,kde}.desktop

  cd .. && rm -r "${NAME}-${VERSION}"
}
