NAME="pypi-mako"
DESC="Hyperfast and lightweight templating for the Python platform"
VERSION="1.3.2"

FILES=("https://files.pythonhosted.org/packages/source/M/Mako/Mako-${VERSION}.tar.gz")
HASHES=("0500a3df18f02c9e53fe3a9314c1a1ae")

DEPENDS=("python3")

PACKAGE() {
  tar xf "Mako-${VERSION}.tar.gz"
  cd "Mako-${VERSION}"

  python3 -m build --wheel --no-isolation
  python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -rf "Mako-${VERSION}"
}
