NAME="pypi-urllib3"
DESC="Powerful, user-friendly HTTP client for Python"
VERSION="2.0.2"

FILES=("https://files.pythonhosted.org/packages/source/u/urllib3/urllib3-${VERSION}.tar.gz")
HASHES=("92d23af401c19da3daec9934f60c8575")

DEPENDS=("python3" "pypi-hatchling")

PACKAGE() {
  tar xf "urllib3-${VERSION}.tar.gz"
  cd "urllib3-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -r "urllib3-${VERSION}"
}
