NAME="alsa-utils"
DESC="ALSA utils for managing ALSA configurations"
VERSION="1.2.11"
FILES=("https://www.alsa-project.org/files/pub/utils/alsa-utils-$VERSION.tar.bz2")
HASHES=("5ce76807b53357584bfb4ace5acfdac4db9168ffaf5cdd1e499738eec046c36112bf84a99970f66368063a9baf73bad93af2d439630572f3eba5c9321071172d")
DEPENDS=("alsa-lib" "ncurses")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.bz2
  cd $NAME-$VERSION

	./configure --prefix=/usr                              \
    --disable-alsaconf                                   \
    --sbindir=/usr/bin                                   \
    --with-udev-rules-dir=/usr/lib/udev/rules.d          \
    --with-systemdsystemunitdir=/usr/lib/systemd/system
  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
  make && make DESTDIR=$ROOTDIR install

  cd .. && rm -rf $NAME-$VERSION
}
