NAME="boost"
DESC="Set of free peer-reviewed portable C++ source libraries"
VERSION="1.83.0"
FILES=("https://boostorg.jfrog.io/artifactory/main/release/$VERSION/source/boost_1_83_0.tar.bz2")
HASHES=("406f0b870182b4eb17a23a9d8fce967d")
DEPENDS=("which")

PACKAGE() {
  tar xf ${NAME}_1_83_0.tar.bz2
  cd ${NAME}_1_83_0

  sed -i '/#include.*phoenix.*tuple.hpp.*/d' \
    boost/phoenix/stl.hpp
  ./bootstrap.sh --prefix="$ROOTDIR/usr" --with-python=python3
  ./b2 stage -j$(nproc) threading=multi link=shared
  ./b2 install threading=multi link=shared

  cd .. && rm -rf ${NAME}_1_83_0
}
