NAME="epiphany"
DESC="Simple yet powerful GNOME web browser targeted at non-technical users"
VERSION="44.6"
FILES=("https://download.gnome.org/sources/epiphany/${VERSION%.*}/epiphany-$VERSION.tar.xz")
HASHES=("fbc40317261873100f625736ec6a511c")
DEPENDS=(
  "gcr4" "iso-codes" "json-glib" 
  "nettle" "webkitgtk" "gnome-keyring"
  "libadwaita" "libportal" "graphene"
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release ..
  ninja $MAKEFLAGS && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}

INSTALL(){
  glib-compile-schemas /usr/share/glib-2.0/schemas
  exit 0
}
