NAME="gnome-screenshot"
DESC="Utility used for taking screenshots of the entire screen"
VERSION="41.0"
FILES=("https://download.gnome.org/sources/gnome-screenshot/41/gnome-screenshot-$VERSION.tar.xz")
HASHES=("3d0199188d8ba07399e468a61e0174e8")
DEPENDS=("gtk3" "libcanberra" "libhandy" "glib")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  sed -i '/merge_file/{n;d}' data/meson.build
  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release ..
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}

INSTALL(){
  glib-compile-schemas /usr/share/glib-2.0/schemas
  exit 0
}
