NAME="libevdev"
DESC="Common functions for Xorg input drivers"
VERSION="1.13.1"
FILES=("https://www.freedesktop.org/software/libevdev/libevdev-$VERSION.tar.xz")
HASHES=("58fe71aa6fd5e80d0928e9b691761311")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup ..               \
      --prefix=$XORG_PREFIX    \
      --buildtype=release      \
      -Ddocumentation=disabled
  ninja && DESTDIR=${ROOTDIR} ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
