NAME="libnl"
DESC="Collection of libraries providing APIs to netlink protocol based Linux kernel interfaces"
VERSION="3.7.0"
FILES=("https://github.com/thom311/libnl/releases/download/libnl3_7_0/libnl-$VERSION.tar.gz")
HASHES=("b381405afd14e466e35d29a112480333")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
  cd $NAME-$VERSION

  ./configure --prefix=/usr     \
            --sysconfdir=/etc \
            --disable-static  
  make && make DESTDIR=$ROOTDIR install

  cd .. && rm -rf $NAME-$VERSION
}
