NAME="libnma"
DESC="Implementation of the NetworkManager GUI functions"
VERSION="1.10.6"
FILES=("https://download.gnome.org/sources/libnma/1.10/libnma-$VERSION.tar.xz")
HASHES=("71c7ce674fea1fae8f1368a7fcb6ff43")
DEPENDS=("gcr3" "gtk3" "gtk4" "networkmanager" "iso-codes")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup ..                             \
      --prefix=/usr                          \
      --buildtype=release                    \
      -Dgtk_doc=false                        \
      -Dlibnma_gtk4=true                     \
      -Dmobile_broadband_provider_info=false
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
