NAME="libxcvt"
DESC="Standalone version of the X server implementation of the VESA CVT"
VERSION="0.1.2"
FILES=("https://www.x.org/pub/individual/lib/libxcvt-$VERSION.tar.xz")
HASHES=("b553fdb6024c5a137ff925bf4c337724")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release ..
  ninja && DESTDIR=${ROOTDIR} ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
