NAME="libxrender"
DESC="X rendering extension client library"
VERSION="0.9.11"
FILES=("https://www.x.org/pub/individual/lib/libXrender-$VERSION.tar.xz")
HASHES=("ebf7fb3241ec03e8a3b2af72f03b4631")
DEPENDS=("libx11")

PACKAGE() {
  tar xf libXrender-$VERSION.tar.xz
  cd libXrender-$VERSION

  ./configure --prefix=/usr --sysconfdir=/etc \
     --localstatedir=/var --disable-static --docdir=/usr/share/doc/$NAME-$VERSION 
  make && make DESTDIR=${ROOTDIR} install

  cd .. && rm -rf libXrender-$VERSION
}
