NAME="pypi-pycairo"
DESC="PyCairo provides bindings to Cairo"
VERSION="1.18.2"

FILES=("https://github.com/pygobject/pycairo/releases/download/v${VERSION}/pycairo-${VERSION}.tar.gz")
HASHES=("be2ba51f234270dec340f28f1695a95e")

DEPENDS=("python3" "cairo")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  python3 -m build --wheel --no-isolation
  python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  cd .. && rm -rf "${NAME}-${VERSION}"
}
