NAME="wayland-protocols"
DESC="Additional wayland protocols"
VERSION="1.32"
FILES=("https://gitlab.freedesktop.org/wayland/wayland-protocols/-/releases/$VERSION/downloads/wayland-protocols-$VERSION.tar.xz")
HASHES=("00c2cedb0d2df714a0965a00c19385c6")
DEPENDS=("wayland")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup --prefix=/usr --buildtype=release
  ninja && DESTDIR=$ROOTDIR ninja install

  cd ../.. && rm -r $NAME-$VERSION
}
