NAME="x264"
DESC="Library for encoding video streams into the H.264/MPEG-4 AVC format"
VERSION="20230215"
FILES=("https://anduin.linuxfromscratch.org/BLFS/x264/x264-$VERSION.tar.xz")
HASHES=("24eb4eae0d6358f31228c9ff86046c6f")
DEPENDS=()

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  ./configure --prefix=/usr \
            --enable-shared \
            --disable-cli
  make && make DESTDIR="$ROOTDIR" install

  cd .. && rm -r $NAME-$VERSION
}
