NAME="xfce4-session"
DESC="Session manager for Xfce"
VERSION="4.18.3"
FILES=("https://archive.xfce.org/src/xfce/xfce4-session/${VERSION%.*}/xfce4-session-$VERSION.tar.bz2")
HASHES=("dfdcb697a2315168e2e56a70f17a19b7")
DEPENDS=(
  "libwnck3" "libxfce4ui" "desktop-file-utils"
  "xscreensaver" "shared-mime-info" "xfdesktop"
  "libxdamage" "libxkbcommon" "polkit"
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.bz2
  cd $NAME-$VERSION

  ./configure --prefix=/usr   \
            --sysconfdir=/etc \
            --disable-legacy-sm
  make && make DESTDIR="$ROOTDIR" install

  cd .. && rm -r $NAME-$VERSION
}
